summarylogtreecommitdiffstats
path: root/github-desktop.sh
diff options
context:
space:
mode:
authorzxp198210052024-04-01 16:34:28 +0800
committerzxp198210052024-04-01 16:34:28 +0800
commit6d1f0c5e9b4561417f6d65ceb13b2cac52b93414 (patch)
tree83f68e858a534aeac169316e9f825b5b9e470213 /github-desktop.sh
parent18c315a0ec5ff5e2e261b505cfe9f54eeea1ebe0 (diff)
downloadaur-6d1f0c5e9b4561417f6d65ceb13b2cac52b93414.tar.gz
update to release.2.9.10.r4415.ge315c497a1
Diffstat (limited to 'github-desktop.sh')
-rw-r--r--github-desktop.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/github-desktop.sh b/github-desktop.sh
new file mode 100644
index 000000000000..7ddcaab8d734
--- /dev/null
+++ b/github-desktop.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+set -e
+_APPDIR="/usr/lib/@appname@"
+_RUNNAME="${_APPDIR}/@runname@"
+_OPTIONS="@options@"
+export PATH="${_APPDIR}:${PATH}"
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+export ELECTRON_IS_DEV=0
+export ELECTRON_FORCE_IS_PACKAGED=true
+export NODE_ENV=production
+cd "${_APPDIR}"
+if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" "$@" || exit $?
+else
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" --no-sandbox "$@" || exit $?
+fi \ No newline at end of file